%def_enable static
%def_enable shared

%def_with pic

%def_enable oss
%def_enable esd
%def_enable alsa
%def_enable alsa_mmap
%def_enable broken_oss
%def_enable arts
%def_enable nas
%def_enable pulseaudio
#----------------------------------------------------------------------
%define set_disable() %{expand:%%force_disable %{1}} %{expand:%%undefine _enable_%{1}}
%define set_enable() %{expand:%%force_enable %{1}} %{expand:%%undefine _disable_%{1}}
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}
%define subst_with_to() %{expand:%%{?_with_%{1}:--with-%{2}}} %{expand:%%{?_without_%{1}:--without-%{2}}}

%if_disabled alsa
%set_disable alsa_mmap
%set_disable broken_oss
%endif

%define svnrev 11709
%define Name Libao
Name: libao
Version: 0.8.7
%define rel 1
%ifdef svnrev
Release: alt0.%rel
%else
Release: alt%rel
%endif
Summary: Cross-platform Audio Output library
Summary(ru_RU.CP1251):    
Summary(uk_UA.CP1251):    
License: GPL
Group: System/Libraries
URL: http://www.vorbis.com/
%ifdef svnrev
#svn co http://svn.xiph.org/trunk/ao libao
Source: %name-svn-r%svnrev.tar.bz2
%else
Source: http://fatpipe.vorbis.com/files/1.0/unix/%name-%version.tar.bz2
%endif
Patch0: %name-svn-r11709-autogen.patch.gz
Patch1: %name-svn-r11709-configure_ac.patch.gz
%{!?svnrev:Patch2: %name-svn-r11709-configure.patch.gz}

# Automatically added by buildreq on Sun Sep 10 2006
BuildRequires: gcc-c++ glibc-devel-static linux-libc-headers

BuildRequires: gcc-c++
%{?_enable_oss:BuildRequires: linux-libc-headers}
%{?_enable_esd:BuildRequires: esound-devel >= 0.2.8}
%{?_enable_alsa:BuildRequires: libalsa-devel}
%{?_enable_arts:BuildRequires: libarts-devel}
%{?_enable_nas:BuildRequires: libaudio-devel libICE-devel libX11-devel xorg-cf-files}
%{?_enable_pulseaudio:BuildRequires: libpulseaudio-devel >= 0.9}

%description
%Name is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms.
It currently supports:
  - Null output
  - WAV files
  - OSS (Open Sound System)
  - ESD (ESounD or Enlightened Sound Daemon)
  - ALSA (Advanced Linux Sound Architecture)
  - PulseAudio (next generation GNOME sound server)

%description -l ru_RU.CP1251
%Name -   -,  
  ,   API,   .
   :
  - Null-
  - WAV-
  - OSS (Open Sound System)
  - ESD (ESounD  Enlightened Sound Daemon)
  - ALSA (Advanced Linux Sound Architecture)
  - PulseAudio (  GNOME  )

%description -l uk_UA.CP1251
%Name -   -,   
 ,   API,   .
   :
  - Null-
  - WAV-
  - OSS (Open Sound System)
  - ESD (ESounD  Enlightened Sound Daemon)
  - ALSA (Advanced Linux Sound Architecture)
  - PulseAudio (  GNOME  )
  

%if_enabled shared
%if_enabled oss
%package plugin-oss
Summary: OSS output plugin for %name
Summary(ru_RU.CP1251): OSS-  %name
Summary(uk_UA.CP1251): OSS-  %name
Group: System/Libraries
Requires: %name = %version-%release
Provides: %name-plugin = %version-%release
Provides: %name-oss = %version-%release
Obsoletes: %name-oss

%description plugin-oss
%Name is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms.

This package contains OSS output plugin for %name.

%description plugin-oss -l ru_RU.CP1251
%Name -   -,  
  ,   API,   .

        OSS  %name.

%description plugin-oss -l uk_UA.CP1251
%Name -   -,   
 ,   API,   .

        OSS  %name.
%endif


%if_enabled alsa
%package plugin-alsa
Summary: ALSA output plugin for %name
Summary(ru_RU.CP1251): ALSA-  %name
Summary(uk_UA.CP1251): ALSA-  %name
Group: System/Libraries
Requires: %name = %version-%release
Provides: %name-plugin = %version-%release
Provides: %name-alsa = %version-%release
Obsoletes: %name-alsa

%description plugin-alsa
%Name is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms.

This package contains ALSA output plugin for %name.

%description plugin-alsa -l ru_RU.CP1251
%Name -   -,  
  ,   API,   .

        ALSA  %name.

%description plugin-alsa -l uk_UA.CP1251
%Name -   -,   
 ,   API,   .

        ALSA  %name.
%endif


%if_enabled arts
%package plugin-arts
Summary: aRts output plugin for %name
Summary(ru_RU.CP1251): aRts-  %name
Summary(uk_UA.CP1251): aRts-  %name
Group: System/Libraries
Requires: %name = %version-%release
Provides: %name-plugin = %version-%release
Provides: %name-arts = %version-%release
Obsoletes: %name-arts

%description plugin-arts
%Name is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms.

This package contains aRts output plugin for %name.

%description plugin-arts -l ru_RU.CP1251
%Name -   -,  
  ,   API,   .

        aRts  %name.

%description plugin-arts -l uk_UA.CP1251
%Name -   -,   
 ,   API,   .

        aRts  %name.
%endif


%if_enabled esd
%package plugin-esd
Summary: EsounD output plugin for %name
Summary(ru_RU.CP1251): EsounD-  %name
Summary(uk_UA.CP1251): EsounD-  %name
Group: System/Libraries
Requires: %name = %version-%release
Requires: esound >= 0.2.8
Provides: %name-plugin = %version-%release
Provides: %name-esd = %version-%release
Obsoletes: %name-esd

%description plugin-esd
%Name is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms.  It currently
supports:

This package contains EsounD output plugin for %name.

%description plugin-esd -l ru_RU.CP1251
%Name -   -,  
  ,   API,   .

        EsounD  %name.

%description plugin-esd -l uk_UA.CP1251
%Name -   -,   
 ,   API,   .

        EsounD  %name.
%endif


%if_enabled nas
%package plugin-nas
Summary: NAS output plugin for %name
Summary(ru_RU.CP1251): NAS-  %name
Summary(uk_UA.CP1251): NAS-  %name
Group: System/Libraries
Requires: %name = %version-%release
Provides: %name-plugin = %version-%release
Provides: %name-nas = %version-%release
Obsoletes: %name-nas

%description plugin-nas
%Name is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms.

This package contains NAS output plugin for %name.


%description plugin-nas -l ru_RU.CP1251
%Name -   -,  
  ,   API,   .

        NAS  name.

%description plugin-nas -l uk_UA.CP1251
%Name -   -,   
 ,   API,   .

        NAS  %name.
%endif


%if_enabled pulseaudio
%package plugin-pulseaudio
Summary: PulseAudio output plugin for %name
Summary(ru_RU.CP1251): PulseAudio-  %name
Summary(uk_UA.CP1251): PulseAudio-  %name
Group: System/Libraries
Requires: %name = %version-%release
Provides: %name-plugin = %version-%release
Provides: %name-pulse = %version-%release
Obsoletes: %name-pulse

%description plugin-pulseaudio
%Name is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms.

This package contains PulseAudio output plugin for %name.


%description plugin-pulseaudio -l ru_RU.CP1251
%Name -   -,  
  ,   API,   .

        PulseAudio  %name.

%description plugin-pulseaudio -l uk_UA.CP1251
%Name -   -,   
 ,   API,   .

        PulseAudio  %name.
%endif


%package plugins
Summary: Virtual package for all %name plugins
Summary(ru_RU.CP1251):      %name
Summary(uk_UA.CP1251): ³     %name
Group: System/Libraries
Provides: %name-full = %version-%release
Obsoletes: %name-full
%{?_enable_alsa:Requires: %name-plugin-alsa = %version-%release}
%{?_enable_oss:Requires: %name-plugin-oss = %version-%release}
%{?_enable_arts:Requires: %name-plugin-arts = %version-%release}
%{?_enable_nas:Requires: %name-plugin-nas = %version-%release}
%{?_enable_esd:Requires: %name-plugin-esd = %version-%release}
%{?_enable_pulseaudio:Requires: %name-plugin-pulseaudio = %version-%release}

%description plugins
%Name is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms.
It currently supports:
  - Null output
  - WAV files
  - OSS (Open Sound System)
  - ESD (ESounD or Enlightened Sound Daemon)
  - ALSA (Advanced Linux Sound Architecture)
  - PulseAudio (next generation GNOME sound server)

This virtual package provides all %name plugins.

%description plugins -l ru_RU.CP1251
%Name -   -,  
  ,   API,   .
   :
  - Null-
  - WAV-
  - OSS (Open Sound System)
  - ESD (ESounD  Enlightened Sound Daemon)
  - ALSA (Advanced Linux Sound Architecture)
  - PulseAudio (  GNOME  )

      %name.

%description plugins -l uk_UA.CP1251
%Name -   -,   
 ,   API,   .
   :
  - Null-
  - WAV-
  - OSS (Open Sound System)
  - ESD (ESounD  Enlightened Sound Daemon)
  - ALSA (Advanced Linux Sound Architecture)
  - PulseAudio (  GNOME  )

      %name.
%endif


%package devel
Summary: Development files for %name
Summary(ru_RU.CP1251):   ,  %name
Summary(uk_UA.CP1251):       %name
Group: Development/C
Requires: %name%{?_disable_shared:-devel-static} = %version-%release

%description devel
%Name is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms.
It currently supports:
  - Null output
  - WAV files
  - OSS (Open Sound System)
  - ESD (ESounD or Enlightened Sound Daemon)
  - ALSA (Advanced Linux Sound Architecture)
  - PulseAudio (next generation GNOME sound server)

The %name-devel package contains the header files and documentation
needed to develop applications with %name.

%description devel -l ru_RU.CP1251
%Name -   -,  
  ,   API,   .
   :
  - Null-
  - WAV-
  - OSS (Open Sound System)
  - ESD (ESounD  Enlightened Sound Daemon)
  - ALSA (Advanced Linux Sound Architecture)
  - PulseAudio (  GNOME  )

     ,  
   %name.

%description devel -l uk_UA.CP1251
%Name -   -,   
 ,   API,   .
   :
  - Null-
  - WAV-
  - OSS (Open Sound System)
  - ESD (ESounD  Enlightened Sound Daemon)
  - ALSA (Advanced Linux Sound Architecture)
  - PulseAudio (  GNOME  )

     ,   
  %name.


%if_enabled static
%package devel-static
Summary: Static libraries for %name
Summary(ru_RU.CP1251):    %name
Summary(uk_UA.CP1251):    %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
%Name is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms.
It currently supports:
  - Null output
  - WAV files
  - OSS (Open Sound System)
  - ESD (ESounD or Enlightened Sound Daemon)
  - ALSA (Advanced Linux Sound Architecture)
  - PulseAudio (next generation GNOME sound server)

This package contains libraries required for develop statically linked
with %name application.

%description devel-static -l ru_RU.CP1251
%Name -   -,  
  ,   API,   .
   :
  - Null-
  - WAV-
  - OSS (Open Sound System)
  - ESD (ESounD  Enlightened Sound Daemon)
  - ALSA (Advanced Linux Sound Architecture)
  - PulseAudio (  GNOME  )

   ,    
  %name .

%description devel-static -l uk_UA.CP1251
%Name -   -,   
 ,   API,   .
   :
  - Null-
  - WAV-
  - OSS (Open Sound System)
  - ESD (ESounD  Enlightened Sound Daemon)
  - ALSA (Advanced Linux Sound Architecture)
  - PulseAudio (  GNOME  )

   ,    
  %name .
%endif


%prep
%ifdef svnrev
%setup -q -n %name-svn-r%svnrev
subst 's/\(AM_INIT_AUTOMAKE(%name,\).*)/\1%version)/' configure.ac
%else
%setup -q
%patch2 -p1
%endif
%patch0 -p1
%patch1 -p1


%build
[ -x %_configure_script ] || ./autogen.sh
%{?_disable_static:export lt_cv_prog_cc_static_works=no}
%configure \
    %{subst_with pic} \
    %{subst_enable static} \
    %{subst_enable shared} \
    %{subst_enable oss} \
    %{subst_enable esd} \
    %{?_disable_alsa:--disable-alsa --disable-alsa09} \
    %{subst_enable_to alsa_mmap alsa09-mmap} \
    %{subst_enable_to broken_oss broken-oss} \
    %{subst_enable arts} \
    %{subst_enable nas} \
    %{subst_enable_to pulseaudio pulse}

%make_build


%install
%make_install DESTDIR=%buildroot docdir=%_docdir/%name-devel-%version/HTML install
rm -f %buildroot%_libdir/*.la %buildroot%_libdir/ao/plugins-2/*.la
gzip --best --stdout CHANGES > CHANGES.gz
%if_enabled shared
install -d -m 0755 %buildroot%_docdir/%name-%version
install -m 0644 AUTHORS CHANGES.* README TODO %buildroot%_docdir/%name-%version/
%else
install -m 0644 AUTHORS CHANGES.* README TODO %buildroot%_docdir/%name-devel-%version/
%endif

# creating config
%if_enabled shared
install -d -m 0755 %buildroot%_sysconfdir
cat <<__CONFIG__ >%buildroot%_sysconfdir/%name.conf
# possible values for "default_driver" are: oss, esd, arts, alsa, nas, pulse
# Warning: some apps may crash with segfaults using arts output.
#default_driver=null
__CONFIG__
%endif


%if_enabled shared
%post -p %post_ldconfig
%postun -p %postun_ldconfig
%endif


%if_enabled shared
%files
%_docdir/%name-%version
%config(noreplace) %_sysconfdir/%name.conf
%_libdir/*.so.*
%_man5dir/*
%dir %_libdir/ao
%dir %_libdir/ao/plugins-2


%if_enabled oss
%files plugin-oss
%_libdir/ao/plugins-2/liboss.so
%endif


%if_enabled alsa
%files plugin-alsa
%_libdir/ao/plugins-2/libalsa*.so
%endif


%if_enabled arts
%files plugin-arts
%_libdir/ao/plugins-2/libarts.so
%endif


%if_enabled esd
%files plugin-esd
%_libdir/ao/plugins-2/libesd.so
%endif


%if_enabled nas
%files plugin-nas
%_libdir/ao/plugins-2/libnas.so
%endif


%if_enabled pulseaudio
%files plugin-pulseaudio
%_libdir/ao/plugins-2/libpulse.so
%endif


%files plugins
%endif


%files devel
%_docdir/%name-devel-%version
%_includedir/*
%_libdir/pkgconfig/*.pc
%_datadir/aclocal/*
%if_enabled shared
%_libdir/*.so
%else
%_man5dir/*
%endif


%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/ao/plugins-2/*.a
%endif


%changelog
* Sun Sep 10 2006 Led <led@altlinux.ru> 0.8.7-alt0.1
- 0.8.7 - unreleased snapshot (SVN revision 11709):
  + obsolete alsa device renamed to alsa05
  + the 'alsa' device now uses the 0.9/1.0 API
  + ALSA driver fixes
- remade spec
- added %name-svn-r11709-autogen.patch
- added %name-svn-r11709-configure_ac.patch

* Tue Sep 05 2006 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt8
- s/libao-polyp/libao-pulse/

* Sun Jun 25 2006 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt7
- spec clean up
- add libao-polyp to libao-full package Requires

* Fri Mar 31 2006 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt6
- add libao-oss and libao-alsa Requires to libao (#8633)

* Thu Mar 23 2006 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt5
- disable polypaudio support

* Wed Mar 22 2006 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt4
- enable nas support
- buildreq

* Sun Dec 25 2005 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt3
- added polypaudio support
- #8633
- disable nas support

* Wed Sep 21 2005 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt2
- change %%make to %%make_build and %%make_install
- change default_driver from oss to alsa09 (#7421)
- mark config /etc/libao.conf as noreplace
- spec clean up

* Sun Mar 20 2005 Andrey Astafiev <andrei@altlinux.ru> 0.8.6-alt1
- 0.8.6

* Sun Mar 28 2004 Andrey Astafiev <andrei@altlinux.ru> 0.8.5-alt2
- Added BuildRequires to glib2-devel.

* Mon Mar 22 2004 Andrey Astafiev <andrei@altlinux.ru> 0.8.5-alt1
- 0.8.5

* Tue Feb 10 2004 Andrey Astafiev <andrei@altlinux.ru> 0.8.4-alt3
- Fixed build with new alsa.

* Wed Dec 03 2003 Alexey Tourbin <at@altlinux.ru> 0.8.4-alt2
- Do not package .la files.
- Do not package %name-devel-static by default.

* Fri Nov 21 2003 Andrey Astafiev <andrei@altlinux.ru> 0.8.4-alt1
- 0.8.4

* Mon Sep 15 2003 Andrey Astafiev <andrei@altlinux.ru> 0.8.3-alt3
- Removed possibility to build with old alsa.

* Wed Nov 13 2002 Andrey Astafiev <andrei@altlinux.ru> 0.8.3-alt2
- rebuilt with gcc3.2.

* Mon Jul 22 2002 Andrey Astafiev <andrei@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Thu May 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.2-alt3
- alsa2 by default now.

* Fri Jan 4 2002 Andrey Astafiev <andrei@altlinux.ru> 0.8.2-alt2
- added option for building with alsa or alsa2.

* Thu Jan 3 2002 Andrey Astafiev <andrei@altlinux.ru> 0.8.2-alt1
- 0.8.2
- some updates.

* Tue Jan 1 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt4
- really built with alsa and arts support (see buildreq).
- /etc/libao.conf created.
- all *.la moved in devel package, html documentation separated.
- russian summary added for all packages.
- other spec cleanups.

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.8.0-alt2
- Relocated documentation, a bit more specfile cleanup.

* Thu Sep 27 2001 Andrey Astafiev <andrei@altlinux.ru> 0.8.0-alt1
- spec cleanup.

* Sat Sep 22 2001 Michael Shigorin <mike@lic145.kiev.ua>
- built for ALTLinux.

* Sun Sep 03 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created.
